%define upstream_name    ExtUtils-MakeMaker
%define upstream_version 6.64

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Writes Makefiles for extensions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     ExtUtils-MakeMaker-6.59-prevent-bundled-copies.patch
# append to config cflags debian #628522
Patch1:     ExtUtils-MakeMaker-6.62-append_to_config_cflags_instead_of_overriding.patch

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(DirHandle)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(Pod::Man)
BuildRequires: perl-devel,
BuildRequires: perl-CPAN-Meta
BuildArch:  noarch

%description
Include all the modules bundled with MakeMaker in @INC so
ExtUtils::MakeMaker will load.

This is for bootstrapping the process of deciding how much of the bundles
we need.

copy_bundles() copies the contents of each bundle, if necessary, into inc/
as a flattened module directory that MakeMaker can install.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -b .nobundled
%patch1 -p3 -b .cflags

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std
mv %{buildroot}/%{_bindir}/instmodsh   %{buildroot}/%{_bindir}/instmodsh.%{upstream_version}
mv %{buildroot}/%{_mandir}/man1/instmodsh.1 %{buildroot}/%{_mandir}/man1/instmodsh.%{upstream_version}.1

#Remove backuped files
find %perl_vendorlib/ -name *.cflags | xargs rm -fv

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml NOTES PATCHING README SIGNATURE TODO
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/*
%{_mandir}/man1/*

%changelog

* Wed Mar 27 2013 jquelin <jquelin> 6.640.0-3.mga3
+ Revision: 405480
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 6.640.0-2.mga3
+ Revision: 367028
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 6.640.0-1.mga3
+ Revision: 341886
- update to 6.64

* Fri Oct 12 2012 neoclust <neoclust> 6.620.0-5.mga3
+ Revision: 305042
- Do not package backuped files

* Thu Jan 12 2012 rtp <rtp> 6.620.0-4.mga2
+ Revision: 195255
- Make sure that perl-CPAN-Meta is installed, as it's needed by the testsuite.

* Thu Dec 15 2011 jquelin <jquelin> 6.620.0-3.mga2
+ Revision: 182036
- fix eumm cflags overriding

* Thu Dec 15 2011 jquelin <jquelin> 6.620.0-2.mga2
+ Revision: 182027
- re-enable test suite

* Sat Nov 05 2011 kharec <kharec> 6.620.0-1.mga2
+ Revision: 163825
- Disable checks which are break.
- Use make instead of %%make check
- update to 6.62

  + jquelin <jquelin>
    - override perl 5.14.2 bundle
    - take priority over module bundled with perl 5.14.2

* Mon Sep 26 2011 jquelin <jquelin> 6.590.0-2.mga2
+ Revision: 148599
- adding missing buildrequires:
- adding missing buildrequires:
- adding missing buildrequires:
- prevent bundled copies to be used

* Wed Aug 31 2011 jquelin <jquelin> 6.590.0-1.mga2
+ Revision: 136953
- adding missing buildrequires
- imported package perl-ExtUtils-MakeMaker


* Tue Aug 30 2011 cpan2dist 6.59-1mga
- initial mageia release, generated with cpan2dist
